Remove typescript and tslint from peerDependencies

Was also discussed in #102,

Our problem with those peerDeps, is that we optionally use typescript in our build process, so just by having this package in the dependencies, it throws the error typescript is required.

screen shot 2018-03-29 at 11 26 03

It should be like ts-loader, typescript is required but it's up to the user to install it.

Thre README is fine since it says it explicitly to install also typescript.

Closes #102

该提问来源于开源项目:TypeStrong/fork-ts-checker-webpack-plugin

查看全部
weixin_39661780
weixin_39661780
2020/11/27 06:41
  • 点赞
  • 收藏
  • 回答
    私信

6个回复